Application: gvSIG desktop - gvSIG bugs #3434
No se abren la propiedades de una vista copiada y pegada
04/30/2015 02:24 PM - Lluis Marqués

Status: Closed % Done: 100%
Priority: High Spent time: 0.00 hour
Assignee: Francisco Diaz Carsi

Category: Vector editing

Target version: 2.2.0-2309

Severity: Blocker Add-on version:

gvSIG version: 2.2.0 Add-on build:

gvSIG build: 2308 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

Al intentar abrir las propiedades de una vista copiada y pegada de otra anterior falla.
Pasos para reproducir el bug:

1 Crear una vista

2 Copiar la vista y pegarla

3 Abrir las propiedades de la nueva vista.

Adjunto log.

Related issues:

Related to Application: gvSIG desktop - gvSIG bugs # 3430: Anadir Vista al Ma... Closed 04/29/2015
Related to Application: gvSIG desktop - gvSIG bugs # 3433: ApplicationLocator... Closed 04/30/2015
Related to Application: gvSIG desktop - gvSIG bugs # 3432: ApplicationLocator... Closed 04/30/2015

Associated revisions

Revision 42165 - 05/04/2015 10:12 AM - Francisco Diaz Carsi
fixes #3432
fixes #3433

fixes #3434

Arreglado el método getActiveDocument en DefaultProject para que no intente devolver un documento si la window no es una instancia de
IDocumentWindow.

Sincronizado el método refreshControl en la clase MDIFrame para evitar que se le invoque mientras se esta ejecutando.

History

#1 - 04/30/2015 02:33 PM - Alvaro Anguix

- Severity changed from Minor to Blocker

- Priority changed from Normal to High

- Assignee set to Joaquin del Cerro Murciano

05/17/2024
Me da que esta relacionado con el #3430, ya que se bloquea gvSIG al intentar acceder a la ventana de propiedades de la Vista.

#2 - 04/30/2015 02:33 PM - Alvaro Anguix

- Related to gvSIG bugs #3430: Anadir Vista al Mapa y configurar Vista se bloquea gvSIG added

#3 - 04/30/2015 02:44 PM - Cesar Martinez lzquierdo

Efectivamente, esta relacionado. También se puede reproducir de la siguiente forma:

- Creamos una vista
- Cerramos la ventana de la vista
- Desde el ProjectWindow, intentamos abrir las propiedades de la vista.

Resultado: se entra en un bucle infinito.

#4 - 04/30/2015 02:44 PM - Cesar Martinez lzquierdo

- Related to gvSIG bugs #3433: ApplicationLocator.getManager().getActiveComponent(Class) crea la ventana del documento como efecto colateral en

ciertas circustancias added

#5 - 04/30/2015 02:44 PM - Cesar Martinez lzquierdo

- Related to gvSIG bugs #3432: ApplicationLocator.getManager().getActiveComponent() junto con EditingExtension pueden crear bucles infinitos

added

#6 - 04/30/2015 02:45 PM - Cesar Martinez lzquierdo

Anado los bugs relacionados en los que se describe la raiz del problema

#7 - 05/01/2015 03:35 PM - Joaquin del Cerro Murciano

- Target version set to 2.2.0-2309

- Assignee changed from Joaquin del Cerro Murciano to Francisco Diaz Carsi
#8 - 05/04/2015 10:13 AM - Francisco Diaz Carsi

- % Done changed from 0 to 100

- Status changed from New to Fixed

Applied in changeset svn-gvsig-desktop|r42165.

#9 - 05/07/2015 05:49 PM - Alvaro Anguix

- Status changed from Fixed to Closed
